## haskell-bloomfilter 2.0.1.0

=== examples/Makefile ===
hc := ghc
hcflags := --make -O2 -fvia-C -optc-O2

examples := words spellchecker

all: $(examples)

words: Words.hs
	$(hc) $(hcflags) -o $@ $^

spellchecker: SpellChecker.hs
	$(hc) $(hcflags) -o $@ $^

clean:
	-rm -f *.hi *.o $(examples)

## haskell-bloomfilter 1.2.6.8

=== debian/changelog ===
haskell-bloomfilter (1.2.6.8-1) unstable; urgency=low

  * Initial release.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Mar 2012 13:09:07 -0400

=== debian/control ===
Source: haskell-bloomfilter
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.3
Homepage: http://hackage.haskell.org/package/bloomfilter
Vcs-Git: http://anonscm.debian.org/git/pkg-haskell/haskell-bloomfilter.git/
Vcs-Browser: 

Package: libghc-bloomfilter-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bloom filter library - GHC libraries
 The Haskell library provides pure and impure bloom filter implementations.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-bloomfilter-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bloom filter library - GHC profiling libraries
 This Haskell library provides pure and impure bloom filter implementations.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-bloomfilter-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell bloom filter library - documentation
 This Haskell library provides pure and impure bloom filter implementations.
 .
 This package contains the library documentation.

## haskell-bloomfilter 1.2.6.10

=== debian/changelog ===
haskell-bloomfilter (1.2.6.10-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Change Vcs headers to Darcs
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 15:29:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Joey Hess <joeyh@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8)
+  , haskell-devscripts (>= 0.8.13)
   , ghc
   , ghc-prof
 Build-Depends-Indep: ghc-doc
 Standards-Version: 3.9.3
 Homepage: http://hackage.haskell.org/package/bloomfilter
-Vcs-Git: http://anonscm.debian.org/git/pkg-haskell/haskell-bloomfilter.git/
-Vcs-Browser: 
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-bloomfilter
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-bloomfilter
 
 Package: libghc-bloomfilter-dev
 Architecture: any

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|bloomfilter-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/bloomfilter \
    ([\d\.]*\d)/

## haskell-bloomfilter 2.0.0.0

=== debian/changelog ===
haskell-bloomfilter (2.0.0.0-4build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Jun 2015 20:21:48 +0100

haskell-bloomfilter (2.0.0.0-4build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 May 2015 14:06:57 +0100

haskell-bloomfilter (2.0.0.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:58 +0200

haskell-bloomfilter (2.0.0.0-3) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:38 +0100

haskell-bloomfilter (2.0.0.0-2) unstable; urgency=medium

  * Work around FTBFS on 32bit arches, thanks to Dejan Latinovic for the
    patch. Closes: #756801. 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 13 Nov 2014 15:31:17 +0100

haskell-bloomfilter (2.0.0.0-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.
  * Enable testsuite.

 -- Clint Adams <clint@debian.org>  Wed, 23 Jul 2014 20:22:31 -0400

haskell-bloomfilter (1.2.6.10-2) unstable; urgency=low

  * Bump standards version to 3.9.4
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:59 +0200

=== debian/control ===
Source: haskell-bloomfilter
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.9)
  , ghc
  , ghc-prof
  , libghc-quickcheck2-dev (>= 2.5)
  , libghc-random-dev
  , libghc-test-framework-dev
  , libghc-test-framework-quickcheck2-dev
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/bloomfilter
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-bloomfilter
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-bloomfilter

Package: libghc-bloomfilter-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bloom filter library${haskell:ShortBlurb}
 The Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

Package: libghc-bloomfilter-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bloom filter library${haskell:ShortBlurb}
 This Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

Package: libghc-bloomfilter-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell bloom filter library${haskell:ShortBlurb}
 This Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

## haskell-bloomfilter 2.0.1.0

=== debian/changelog ===
haskell-bloomfilter (2.0.1.0-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:07 -0500

haskell-bloomfilter (2.0.1.0-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:03 +0200

=== debian/control ===
Source: haskell-bloomfilter
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-quickcheck2-dev (>= 2.5),
 libghc-random-dev,
 libghc-test-framework-dev,
 libghc-test-framework-quickcheck2-dev,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/bos/bloomfilter
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-bloomfilter-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell bloom filter library${haskell:ShortBlurb}
 The Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

Package: libghc-bloomfilter-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell bloom filter library${haskell:ShortBlurb}
 This Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

Package: libghc-bloomfilter-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Haskell bloom filter library${haskell:ShortBlurb}
 This Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/bloomfilter/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-bloomfilter 2.0.1.2

=== debian/changelog ===
haskell-bloomfilter (2.0.1.2-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 03 Oct 2024 10:17:12 +0300

haskell-bloomfilter (2.0.1.2-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Restore the 32bit workaround (Closes: #1054923)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 01 Nov 2023 09:48:39 +0200

haskell-bloomfilter (2.0.1.2-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 04 Sep 2023 10:04:27 +0300

haskell-bloomfilter (2.0.1.0-8) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 19 Jul 2022 11:10:04 +0300

haskell-bloomfilter (2.0.1.0-7) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 13 Jun 2020 17:22:30 +0300

haskell-bloomfilter (2.0.1.0-6) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:02:55 +0300

haskell-bloomfilter (2.0.1.0-5) unstable; urgency=medium

  [ Joachim Breitner ]
  * Remove Joey Hess from Uploaders

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:42 -0400

haskell-bloomfilter (2.0.1.0-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:36 -0400

haskell-bloomfilter (2.0.1.0-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 14:32:09 -0400

=== debian/control ===
Source: haskell-bloomfilter
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 9.4),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-quickcheck2-dev (>= 2.5),
 libghc-random-dev,
 libghc-test-framework-dev,
 libghc-test-framework-quickcheck2-dev,
Build-Depends-Indep:
 ghc-doc,
Standards-Version: 4.7.0
Homepage: https://github.com/haskell-pkg-janitors/bloomfilter
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-bloomfilter
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-bloomfilter]

Package: libghc-bloomfilter-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell bloom filter library${haskell:ShortBlurb}
 The Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

Package: libghc-bloomfilter-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell bloom filter library${haskell:ShortBlurb}
 This Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

Package: libghc-bloomfilter-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Haskell bloom filter library${haskell:ShortBlurb}
 This Haskell library provides pure and impure bloom filter implementations.
 .
 ${haskell:Blurb}

## haskell-bloomfilter 2.0.1.3

=== debian/changelog ===
haskell-bloomfilter (2.0.1.3-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 06 Jan 2026 18:53:22 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
